com.google.appengine.api.blobstore.dev

## Class BlobInfoStorage

- java.lang.Object
- - com.google.appengine.api.blobstore.dev.BlobInfoStorage

-     public final class BlobInfoStorage
      extends java.lang.Object

  `BlobInfoStorage` provides persistence of blob metadata (in the form of `BlobInfo` objects). It uses `DatastoreService` as its persistence mechanism.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobInfoStorage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteBlobInfo(com.google.appengine.api.blobstore.BlobKey blobKey)` Delete the metadata associated with `blobKey`.
    `protected com.google.appengine.api.datastore.Key` | `getMetadataKeyForBlobKey(com.google.appengine.api.blobstore.BlobKey blobKey)`
    `com.google.appengine.api.blobstore.BlobInfo` | `loadBlobInfo(com.google.appengine.api.blobstore.BlobKey blobKey)` Load blob metadata for `blobKey`.
    `com.google.appengine.api.blobstore.BlobInfo` | `loadGsFileInfo(com.google.appengine.api.blobstore.BlobKey blobKey)` Load Google Storage file metadata for a `blobKey`.
    `void` | `saveBlobInfo(com.google.appengine.api.blobstore.BlobInfo blobInfo)` Save the metadata in `blobInfo`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlobInfoStorage

          public BlobInfoStorage()

  - ### Method Detail

    - #### loadBlobInfo

          public com.google.appengine.api.blobstore.BlobInfo loadBlobInfo(com.google.appengine.api.blobstore.BlobKey blobKey)

      Load blob metadata for `blobKey`. Returns `null` if no matching blob is found.

    - #### loadGsFileInfo

          public com.google.appengine.api.blobstore.BlobInfo loadGsFileInfo(com.google.appengine.api.blobstore.BlobKey blobKey)

      Load Google Storage file metadata for a `blobKey`. Returns `null` if no matching file is found.

    - #### saveBlobInfo

          public void saveBlobInfo(com.google.appengine.api.blobstore.BlobInfo blobInfo)

      Save the metadata in `blobInfo`.

    - #### deleteBlobInfo

          public void deleteBlobInfo(com.google.appengine.api.blobstore.BlobKey blobKey)

      Delete the metadata associated with `blobKey`.

    - #### getMetadataKeyForBlobKey

          protected com.google.appengine.api.datastore.Key getMetadataKeyForBlobKey(com.google.appengine.api.blobstore.BlobKey blobKey)